import request from '@/apis/request.js'
const { get, post } = request

export const postLoginActivity = (data) => {
  return post('competition/competition/management/postLoginActivity', data)
}
export const getCompetition = (id) => {
  return post(`competition/competition/management/getCompetition?competitionId=${id}`)
}
export const individualEventRegistration = (data) => {
  return post(`competition/competition/registration/individualEventRegistration`, data)
}
export const getCurrentTime = () => {
  return get(`competition/competition/management/getCurrentTime`)
}
export const queryRegistrationByCondition = (data) => {
  return post(`competition/competition/registration/queryRegistrationByCondition`, data)
}
export const competitionUserDel = (data) => {
  return post(`competition/competitionUserDel/save`, data)
}
export const cancelRegistration = (id) => {
  return post(`competition/competition/registration/cancelRegistration?competitionId=${id}`)
}
export const categoryList = (id) => {
  return post(`competition/competitionClassification/categoryList`)
}
export const explosiveList = (data) => {
  return post(`nakadai/explosiveRecommendation/explosiveList`, data)
}
export const explosiveFind = (id) => {
  return post(`nakadai/explosiveRecommendation/findById?id=${id}`)
}