import request from '@/apis/request.js'
const { get, post } = request

export const batchDelete = (data) => {
  return post('nakadai/prod/batchDelete', data)
}
export const info = (data) => {
  return get('nakadai/prod/info', data)
}
export const page = (data) => {
  return get('nakadai/prod/page', data)
}
export const prodStatus = (prodId, prodStatus) => {
  return post(`nakadai/prod/prodStatus?prodId=${prodId}&prodStatus=${prodStatus}`)
}
export const save = (data) => {
  return post('nakadai/prod/save', data)
}
export const update = (data) => {
  return post('nakadai/prod/update', data)
}
export const categoryInfo = (data) => {
  return get('nakadai/category/categoryInfo', data)
}
export const list = (data) => {
  return get('nakadai/prod/list', data)
}